Skip to main content
GET
/
market-pages
/
{id}
/
markets
List markets for a page
curl --request GET \
  --url https://api.limitless.exchange/market-pages/{id}/markets
{
  "data": [
    "<string>"
  ],
  "cursor": {
    "nextCursor": "<string>"
  },
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  },
  "counts": {
    "matches": 45,
    "props": 3
  }
}
The id parameter can be __home__ to list all markets when Home is not explicitly configured.Supports both offset pagination (page + limit) and cursor pagination (cursor). When cursor is present, offset pagination is ignored.Sorting: prefix field with - for descending (e.g., -updatedAt). Allowed fields: createdAt, updatedAt, deadline, id.

Path Parameters

id
string
required

Market page ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

Response

Markets retrieved successfully

data
string[]
required

Array of market/group data

cursor
object

Cursor pagination info (when using cursor parameter)

pagination
object

Offset pagination info (when using page parameter)

counts
object

Counts per tab option for the active filter context

Example:
{ "matches": 45, "props": 3 }